This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1254404 - Deadlock with kcontainer.updateToVersion() under load
Deadlock with kcontainer.updateToVersion() under load
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity high
: ER3
: 6.2.0
Assigned To: Mario Fusco
Marek Winkler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-17 22:52 EDT by Toshiya Kobayashi
Modified: 2015-10-09 08:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker DROOLS-883 Major Resolved Deadlock with kcontainer.updateToVersion() under load 2016-03-09 18:30 EST

  None (edit)
Description Toshiya Kobayashi 2015-08-17 22:52:08 EDT
Description of problem:


Platform BZ for https://issues.jboss.org/browse/DROOLS-883


Steps to Reproduce:
1. See DROOLS-883

Actual results:

The reproducer stops with a deadlock after 30 or 60 seconds run.

Expected results:

No deadlock.

The reproducer may throw Exceptions at the end of run because it doesn't finish the threads gracefully. Please ignore.
Comment 1 Toshiya Kobayashi 2015-08-17 22:54:05 EDT
Already fixed in master by DROOLS-883.
Comment 2 Mario Fusco 2015-08-18 05:41:28 EDT
Fixed by https://github.com/droolsjbpm/drools/commit/5954c887b
Comment 3 Marek Winkler 2015-10-09 08:26:15 EDT
Verified in BRMS 6.2.0.ER3 by running the provided reproducer.

Note You need to log in before you can comment on or make changes to this bug.